### Tests requires internet access during build
%bcond_with check

%global commit      13272b9252acf27bd843a81bfe6797c292643f7b
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global date        20191210

Name:           vala-gist
Version:        0
Release:        1.%{date}git%{shortcommit}%{?dist}
Summary:        Gist client library for Vala

License:        GPLv3+
URL:            https://github.com/rickybas/vala-gist
Source0:        %{url}/archive/%{commit}/%{name}-%{version}.%{date}git%{shortcommit}.tar.gz

BuildRequires:  meson >= 0.40.1
BuildRequires:  vala
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libsoup-2.4)

%description
%{summary}.


%package        devel

Summary:        Devel files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
Devel files for %{name}.


%prep
%autosetup -n %{name}-%{commit} -p1


%build
%meson
%meson_build


%install
%meson_install


%if %{with check}
%check
%meson_test
%endif


%files
%license COPYING
%doc README.md
%{_libdir}/libvalagist-1.0.so*

%files devel
%{_libdir}/pkgconfig/valagist-1.0.pc
%{_datadir}/vala/vapi/valagist-1.0.vapi
%{_includedir}/valagist-1.0.h


%changelog
* Tue Dec 10 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0-1.20191210git13272b9
- Initial package
